<template>
  <div>
    <h2>Создание тарифа</h2>
    <b-form @submit="create">
      <b-form-group label="Наименование:">
        <b-form-input v-model="form.title" required placeholder="Наименование" />
      </b-form-group>
      <b-form-group label="Период (месяцы):">
        <b-form-input v-model="form.period" type="number" number no-wheel required />
      </b-form-group>
      <b-form-group label="Доступен:">
        <b-form-checkbox v-model="form.is_available">Доступен</b-form-checkbox>
      </b-form-group>
      <b-form-group label="Применим к оборудованию:">
        <b-form-checkbox
          v-for="item in equipment"
          :key="item._id"
          :value="item._id"
          v-model="form.applicable_to"
          stacked>{{ item.title }}</b-form-checkbox>
      </b-form-group>
      <b-button type="submit" variant="primary">
        Создать
      </b-button>
    </b-form>
  </div>
</template>

<script>
import axios from 'axios'

export default {
  async asyncData ({ $config: { baseURL } }) {
    const response = await axios.get(`${baseURL}/equipment`)
    const equipment = response.data
    return { equipment, baseURL }
  },
  data () {
    return {
      form: {
        title: '',
        period: 3,
        is_available: true,
        applicable_to: [],
        data: {}
      },
      equipment: []
    }
  },
  head () {
    return {
      title: 'Создание тарифа'
    }
  },
  methods: {
    async create (e) {
      e.preventDefault()
      console.log(this.form)
      const response = await axios.post(`${this.baseURL}/tariffs`, this.form)
      if (response.status === 201) {
        this.$router.push({ path: `/tariffs/${response.data._id}` })
      }
    }
  }
}
</script>

<style scoped>

</style>
